> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.ibee.co.in/docs/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.ibee.co.in/docs/_mcp/server.

# Patch secret value

PATCH https://api.ibee.co.in/v1/secret-store/secrets/{secret_id}/value
Content-Type: application/json

Merges the supplied keys into the current value and creates a new version. Requires scope: secret-store.write.

Reference: https://docs.ibee.co.in/docs/api-reference/secret-store/patch-secret-value

## Authentication

- `Authorization` header (bearer token, required) — IBEE platform API token. Production tokens start with `ibee_prod_key_`; development tokens start with `ibee_dev_key_`. Use a token only with its matching gateway environment.

## Servers

- `https://api.ibee.co.in/v1` (Production, default)
- `https://api.ibee.co.in/v1` (Development)

## Request

### Path parameters

- `secret_id` (string, required) — Secret ID.

### Query parameters

- `workspace_id` (string, required) — The positive numeric workspace ID to scope this request to. Zero, negative, and non-numeric values are rejected.

### Body (application/json)

This endpoint expects a PatchSecretValueRequest.

- `value` (map from string to any, required) — Key-value pairs to merge into the current value. Creates a new version.

## Response

### 200

Secret value patched successfully.

- `id` (string, optional)
- `secret_name` (string, optional)
- `data` (map from string to any, optional) — Key-value pairs containing the secret data.
- `metadata` (map from string to any, optional)

## Errors

### 400 Bad Request Error

The request is invalid.

- `detail` (ErrorDetail, optional)

### 401 Unauthorized Error

The API token is missing or invalid.

- `detail` (ErrorDetail, optional)

### 403 Forbidden Error

The token is not allowed to access the workspace or does not have the required scope.

- `detail` (ErrorDetail, optional)

### 404 Not Found Error

The requested resource was not found.

- `detail` (ErrorDetail, optional)

## Types

### ErrorDetail

## Examples

**Request**

```json
{
  "value": {
    "username": "rotated-user"
  }
}
```

**Response**

```json
{
  "id": "secret_123",
  "secret_name": "database-url",
  "data": {
    "url": "postgres://user:pass@host:5432/mydb"
  },
  "metadata": {
    "version": 1,
    "created_time": "2026-06-29T00:00:00Z"
  }
}
```

**SDK Code**

```python Secret Store_patchSecretValue_example
import requests

url = "https://api.ibee.co.in/v1/secret-store/secrets/019f1e4b-4a2c-71d0-a8b3-c5f92e7d1a4b/value"

querystring = {"workspace_id":"710995"}

payload = { "value": { "username": "rotated-user" } }
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers, params=querystring)

print(response.json())
```

```javascript Secret Store_patchSecretValue_example
const url = 'https://api.ibee.co.in/v1/secret-store/secrets/019f1e4b-4a2c-71d0-a8b3-c5f92e7d1a4b/value?workspace_id=710995';
const options = {
  method: 'PATCH',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{"value":{"username":"rotated-user"}}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Secret Store_patchSecretValue_example
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.ibee.co.in/v1/secret-store/secrets/019f1e4b-4a2c-71d0-a8b3-c5f92e7d1a4b/value?workspace_id=710995"

	payload := strings.NewReader("{\n  \"value\": {\n    \"username\": \"rotated-user\"\n  }\n}")

	req, _ := http.NewRequest("PATCH", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Secret Store_patchSecretValue_example
require 'uri'
require 'net/http'

url = URI("https://api.ibee.co.in/v1/secret-store/secrets/019f1e4b-4a2c-71d0-a8b3-c5f92e7d1a4b/value?workspace_id=710995")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"value\": {\n    \"username\": \"rotated-user\"\n  }\n}"

response = http.request(request)
puts response.read_body
```

```java Secret Store_patchSecretValue_example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.patch("https://api.ibee.co.in/v1/secret-store/secrets/019f1e4b-4a2c-71d0-a8b3-c5f92e7d1a4b/value?workspace_id=710995")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"value\": {\n    \"username\": \"rotated-user\"\n  }\n}")
  .asString();
```

```php Secret Store_patchSecretValue_example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('PATCH', 'https://api.ibee.co.in/v1/secret-store/secrets/019f1e4b-4a2c-71d0-a8b3-c5f92e7d1a4b/value?workspace_id=710995', [
  'body' => '{
  "value": {
    "username": "rotated-user"
  }
}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp Secret Store_patchSecretValue_example
using RestSharp;

var client = new RestClient("https://api.ibee.co.in/v1/secret-store/secrets/019f1e4b-4a2c-71d0-a8b3-c5f92e7d1a4b/value?workspace_id=710995");
var request = new RestRequest(Method.PATCH);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"value\": {\n    \"username\": \"rotated-user\"\n  }\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift Secret Store_patchSecretValue_example
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = ["value": ["username": "rotated-user"]] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.ibee.co.in/v1/secret-store/secrets/019f1e4b-4a2c-71d0-a8b3-c5f92e7d1a4b/value?workspace_id=710995")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "PATCH"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```